ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.StgToCmm.ArgRep

# Documentation

data ArgRep Source #

Constructors

P |
N |
L |
V |
F |
D |
V16 |
V32 |
V64 |

#### Instances

Instances details

Outputable ArgRep Source # |
Instance details Defined in GHC.StgToCmm.ArgRep Methods ppr :: ArgRep -> SDoc Source #
Eq ArgRep Source # |
Instance details Defined in GHC.StgToCmm.ArgRep Methods (==) :: ArgRep -> ArgRep -> Bool # (/=) :: ArgRep -> ArgRep -> Bool #

toArgRep :: Platform -> PrimRep -> ArgRep Source #

argRepSizeW :: Platform -> ArgRep -> WordOff Source #

argRepString :: ArgRep -> String Source #

isNonV :: ArgRep -> Bool Source #

idArgRep :: Platform -> Id -> ArgRep Source #

slowCallPattern :: [ArgRep] -> (FastString, RepArity) Source #